Last Comment Bug 731278 - [tracking bug] 10.8 testing support
: [tracking bug] 10.8 testing support
Status: RESOLVED FIXED
[tracking][10.8][testing][platform-su...
:
Product: Release Engineering
Classification: Other
Component: Platform Support (show other bugs)
: other
: x86_64 Mac OS X
: P3 normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: Chris Cooper [:coop]
:
Mentors:
Depends on: 759466 762512 777759 778311 782797 782826 782870 783455 783660 784330 785498 786084 786177 786304 786424 786513 786679
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 09:31 PST by Chris Cooper [:coop]
Modified: 2013-08-12 21:55 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
add new slaves (1.06 KB, patch)
2012-07-05 08:28 PDT, Ben Hearsum (:bhearsum)
coop: review+
bhearsum: checked‑in+
Details | Diff | Splinter Review

Description Chris Cooper [:coop] 2012-02-28 09:31:27 PST
We will eventually need a pool of 10.8 test machines.
Comment 1 Amy Rich [:arr] [:arich] 2012-05-30 09:01:58 PDT
Will we have an image to deploy to the 10.8 testers in the next couple of weeks, or should we just initially put the builder image onto them?
Comment 2 Ben Hearsum (:bhearsum) 2012-07-05 08:28:18 PDT
Created attachment 639355 [details] [diff] [review]
add new slaves
Comment 3 Armen Zambrano [:armenzg] (EDT/UTC-4) 2012-07-06 07:43:07 PDT
Live in production.
Comment 4 Melissa O'Connor [:melissa] 2012-07-09 13:42:47 PDT
We need feedback on the image. We are stalled on this work until we hear back.
Comment 5 Kim Moir [:kmoir] 2012-07-09 14:32:24 PDT
My understanding from bug 759466 is that these machines are available with the old 10.7.2 image because there are problems running DS with 10.8.  I just logged into the machines and confirmed that.

bld-lion-r5-091:~ cltbld$ uname -a
Darwin bld-lion-r5-091.build.releng.scl3.mozilla.com 11.2.0 Darwin Kernel Version 11.2.0: Tue Aug  9 20:54:00 PDT 2011; root:xnu-1699.24.8~1/RELEASE_X86_64 x86_64

Regarding comment #4 - what feedback are you looking for?
Comment 6 Amy Rich [:arr] [:arich] 2012-07-09 18:03:35 PDT
There seems to be some confusion here; let me try and clear that up.  bld-anything is a build machine and should not be part of this bug at all, and I'm not sure why comments 2 and 3 reference them, since this bug is for talos-lion-r5-001 - talos-lion-r5-090 only.

Second, there are two things blocking getting the testers base image rolled out right now.  One of them is the issue with deploy studio (relops side), but also a decision (from releng) on what image we should be using (I'd recommend using the standard distro, not server, for example, but we need to know what has to be baked into the base image before puppet is applied, e.g. the compiler suite, etc).  These two things can be done in parallel for the most part, but are both blocking the final outcome.  We will need a decision on the image to use before we test an actual rollout, though.
Comment 7 Kim Moir [:kmoir] 2012-07-10 06:39:35 PDT
Thanks for the clarification Amy :-)  

I'm still a bit confused, is there a machine I can look at that has a newer image than the machine I'm already using for testing (r5-puppetagain-1) ?

I'd agree that the standard distro is the one we want.  I don't think we need to the compiler suite since these will be just test machines not build machines.   Unless you use the same image for both test and build machines when we need them too.  Coop, do you agree?
Comment 8 Amy Rich [:arr] [:arich] 2012-07-10 07:56:11 PDT
Doh, I misspoke, I meant:

talos-mtnlion-r5-001 - talos-mtnlion-r5-090

Kim: There is no newer image right now (even manually installed), no, since Server vs standard hasn't been decided on.  :}

And by compiler suite, I mean XCode, which has other stuff in it too (like libraries).  I know that installing that via puppet was an issue before, but I'm not sure what the requirements are for the mountain lion talos machines.
Comment 9 Amy Rich [:arr] [:arich] 2012-07-11 14:55:24 PDT
To verify that imaging was working to the new test VLAN and to make sure we didn't have any DOA machines, I've gone ahead and installed a vanilla 10.7.2 image on the 90 talos-mtnlion-r5 machines and added them to nagios.

This is obviously not the final OS image that will go on these, but getting them up now does make it somewhat easier to deploy remotely later, since we can netboot from the running OS.
Comment 10 Kim Moir [:kmoir] 2012-07-13 07:14:52 PDT
It would be great if the image also had XCode installed by default.  Some of the existing Mac puppet manifests that I'm migrating use some of the command line tools that come with XCode and I haven't found a way to install XCode via puppet.  (I don't know how to get the DMG, I only seem to be able to download it via the app store)
Comment 11 Kim Moir [:kmoir] 2012-08-27 21:21:56 PDT
10.8 tests are now running in production.  Bug 786084 is tracking the test failures.
Comment 12 Nick Thomas [:nthomas] 2012-08-27 22:00:46 PDT
In slavealloc I pointed talos-mtnlion-r5-001/002/003/010 at preproduction to squelch the login errors on the production masters.

Note You need to log in before you can comment on or make changes to this bug.